from flask import render_template, redirect, url_for, request, flash
from collections import OrderedDict

from . import bp
from ...libraries.flask_login_pum import login_required, current_user

# from services.web.project.routes.main import bp
# from services.web.project.libraries.flask_login_pum import login_required, current_user
import datetime

@bp.route('/')
def index():
    print(current_user)
    print(current_user.is_authenticated)
    return render_template('main/index.html')


@bp.route('/lrt')
@login_required
def login_required_test():
    print(current_user)
    print(current_user.is_authenticated)
    return '<h1>Board-Manager login required test !</h1>'